Message: Re: Geant4 10.0p01 with c++11 does not compile Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Feedback Re: Geant4 10.0p01 with c++11 does not compile 

Forum: Installation and Configuration
Re: Question Geant4 10.0p01 with c++11 does not compile
Re: Question Re: Geant4 10.0p01 with c++11 does not compile (Ben Morgan)
Re: Feedback Re: Geant4 10.0p01 with c++11 does not compile
Date: 18 Jun, 2014
From: Ben Morgan <Ben Morgan>

On Fri, 13 Jun 2014 12:20:35 GMT, Marty wrote:
> Sorry, forgot to post the error...
> 
> Here we go (using make and not make -j4 - it does not make a difference
> for this error anyway):
> 
> In file included from /geant4/geant4_10_00_p01/source/global/management/include/G4Types.hh:67:
> In file included from /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/complex:244:
> /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/type_traits:922:38: error: 
>       incomplete type 'comparator' used in type trait expression
>     : public integral_constant {};
> 

I've checked on this, and it'll be fixed in the upcoming second patch to 10.0

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Geant4 10.0p01 with c++11 does not compile   (Marty - 18 Jun, 2014)
 Add Message Add Message
to: "Re: Geant4 10.0p01 with c++11 does not compile"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]